Package jxl

# Class CellType

java.lang.Object
jxl.CellType

public final class CellType extends Object
An enumeration type listing the available content types for a cell

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CellType`
`BOOLEAN`
`static final CellType`
`BOOLEAN_FORMULA`
`static final CellType`
`DATE`
`static final CellType`
`DATE_FORMULA`
`static final CellType`
`EMPTY`
An empty cell can still contain formatting information and comments
`static final CellType`
`ERROR`
`static final CellType`
`FORMULA_ERROR`
`static final CellType`
`LABEL`
`static final CellType`
`NUMBER`
`static final CellType`
`NUMBER_FORMULA`
`static final CellType`
`STRING_FORMULA`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string description of this cell

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY

public static final CellType EMPTY
An empty cell can still contain formatting information and comments

### LABEL

public static final CellType LABEL

### NUMBER

public static final CellType NUMBER

### BOOLEAN

public static final CellType BOOLEAN

### ERROR

public static final CellType ERROR

### NUMBER_FORMULA

public static final CellType NUMBER_FORMULA

### DATE_FORMULA

public static final CellType DATE_FORMULA

### STRING_FORMULA

public static final CellType STRING_FORMULA

### BOOLEAN_FORMULA

public static final CellType BOOLEAN_FORMULA

### FORMULA_ERROR

public static final CellType FORMULA_ERROR

### DATE

public static final CellType DATE

## Method Details

### toString

public String toString()
Returns a string description of this cell

Overrides:
  `toString` in class `Object`
Returns:
  the string description for this type